ldirectord does not start: please help

Vijay K vijay_k at vfortress.com
Wed Aug 10 10:28:17 BST 2005


Hi,
I am using Fedora core 4 OS.I am using it since i didnt want to go in for
for a kernel rebuild for ipvs and arp.
I thought going in for Fedora core 4 will solve teh problem.the ultramonkey
rpm's for fedora core 1 are ebing used as there are no new set of rpms for
the newer fedora releases.

I have installed " perl-Net-SSLeay-1.23-1.fr.c.1.um.1.i386.rpm"
Shoudl i change something?
Please let me know
Thanks and regds
Vijay

-----Original Message-----
From: lvs-users-bounces+vijay_k=vfortress.com at linuxvirtualserver.org
[mailto:lvs-users-bounces+vijay_k=vfortress.com at linuxvirtualserver.org]O
n Behalf Of Graeme Fowler
Sent: Wednesday, August 10, 2005 2:24 PM
To: lvs-users at LinuxVirtualServer.org
Subject: RE: ldirectord does not start: please help


Hi

Well, now we know where your problem lies:

On Wed 10 Aug 2005 06:34:24 BST , Vijay K <vijay_k at vfortress.com> wrote:
> the output of "perl -V" is as follows:
<snip>
>  @INC:
>    /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
>    /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
>    /usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi
>    /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi
>    /usr/lib/perl5/site_perl/5.8.6
>    /usr/lib/perl5/site_perl/5.8.5
>    /usr/lib/perl5/site_perl/5.8.4
>    /usr/lib/perl5/site_perl/5.8.3
>    /usr/lib/perl5/site_perl
>    /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
>    /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
>    /usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi
>    /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi
>    /usr/lib/perl5/vendor_perl/5.8.6
>    /usr/lib/perl5/vendor_perl/5.8.5
>    /usr/lib/perl5/vendor_perl/5.8.4
>    /usr/lib/perl5/vendor_perl/5.8.3
>    /usr/lib/perl5/vendor_perl
>    /usr/lib/perl5/5.8.6/i386-linux-thread-multi
>    /usr/lib/perl5/5.8.6

So we know where Perl is looking for its' modules... now we see where
your Net-SSLeay module goes:

> and the output of "perl -ql perl-Net-SSLeay" is as follows:
>
> /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi/Net
> /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi/Net/SSLeay
> /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi/Net/SSLeay.pm
<snip again>


You need a different version, as the RPM you're installing is parking
the files in the wrong place.

It looks to me like you've downloaded an older version than you need
(you have the Fedora Core 1 version as far as I can tell).

What OS are you running?

Graeme

_______________________________________________
LinuxVirtualServer.org mailing list - lvs-users at LinuxVirtualServer.org
Send requests to lvs-users-request at LinuxVirtualServer.org
or go to http://www.in-addr.de/mailman/listinfo/lvs-users



More information about the lvs-users mailing list